package weaver.interfaces.cxh.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import org.apache.commons.codec.digest.DigestUtils;
import weaver.utils.DoPostUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * @title: SendMessage
 * @Author zcqs
 * @Date: 2022/8/30 10:51
 * @Version 1.0
 */
public class SendIMUtil  {
    private static String url = "http://apis.njfu.edu.cn/mp_message_pocket_web-mp-restful-message-send/ProxyService/message_pocket_web-mp-restful-message-sendProxyService";
    private static String appId = "772056922b2065af";
    private static String accessToken = "f8818a51ccaf9bc323ba8566e646c8a6";

    public boolean sendIM(String userId, String msg) {

        String content = msg;
        String schoolCode = "10298";
        //String userId = "ampadmin";

        Map<String, String> headerMap = new HashMap<>();
        headerMap.put("appId", appId);
        headerMap.put("accessToken", accessToken);

        Map<String, Object> params = new HashMap<>();
        params.put("appId", "772056922b2065af");
        params.put("subject", content);
        params.put("content", content);
        params.put("sendType", 0);
        params.put("wxSendType", "text");
        params.put("sendNow", true);
        params.put("tagId", 1012);
        params.put("schoolCode", schoolCode);

        ArrayList<HashMap<String, Object>> receivers = new ArrayList<>();
        HashMap<String, Object> receiverMap = new HashMap<>();
        receiverMap.put("userId", userId);
        receiverMap.put("mobile", "");
        receiverMap.put("email", "");
        receiverMap.put("flag", 0);
        receivers.add(receiverMap);
        params.put("receivers", receivers);

        String sign = DigestUtils.md5Hex(accessToken + schoolCode + userId);
        params.put("sign", sign);
        Object json = JSON.toJSON(params);
        System.out.println(json.toString());
        String s = DoPostUtil.doPost(url, new HashMap<>(), "application/json", headerMap, json.toString());
        System.out.println(s);
        JSONObject jsonObject = JSON.parseObject(s);
        int status = (int) jsonObject.get("status");
        String msg1 = (String) jsonObject.get("msg");
        System.out.println("status=== "+status);
        System.out.println(msg1);
        if (status == 200) {
            return true;
        } else {
            return false;
        }
    }

}
